Page MenuHomeVyOS Platform

Add a show config operation to the HTTP API
Backport pending, NormalPublic

Description

A future GUI will need to be able to retrieve the running config data, and user scripts may need it now too.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

dmbaturin triaged this task as Normal priority.Oct 27 2019, 4:10 PM
dmbaturin created this task.
pasik added a subscriber: pasik.Oct 27 2019, 5:41 PM
syncer moved this task from Needs Triage to Backlog on the VyOS 1.2 Crux (VyOS 1.2.4) board.
syncer changed the task status from Open to In progress.Nov 23 2019, 12:07 PM
syncer moved this task from Backlog to In Progress on the VyOS 1.2 Crux (VyOS 1.2.4) board.
syncer changed the task status from In progress to Backport pending.Mar 15 2020, 10:09 PM
syncer moved this task from Finished to In Progress on the VyOS 1.2 Crux (VyOS 1.2.5) board.
syncer moved this task from Needs Triage to Backlog on the VyOS 1.2 Crux (VyOS 1.2.6) board.